# The project file for the qscintilla library.
#
# Copyright (c) 2005
# 	Riverbank Computing Limited <info@riverbankcomputing.co.uk>
# 
# This file is part of QScintilla.
# 
# This copy of QScintilla is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option) any
# later version.
# 
# QScintilla is supplied in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
# 
# You should have received a copy of the GNU General Public License along with
# QScintilla; see the file LICENSE.  If not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.


unix:VERSION = 5.2.0


TEMPLATE = lib
TARGET = qscintilla
DESTDIR = $(QTDIR)/lib
CONFIG += qt warn_off release dll thread
INCLUDEPATH = . ../include ../src
DEFINES = QEXTSCINTILLA_MAKE_DLL QT SCI_LEXER

HEADERS = \
	qextscintillaglobal.h \
	qextscintilla.h \
	qextscintillaapis.h \
	qextscintillabase.h \
	qextscintillacommand.h \
	qextscintillacommandset.h \
	qextscintilladocument.h \
	qextscintillalexer.h \
	qextscintillalexerbash.h \
	qextscintillalexercpp.h \
	qextscintillalexercsharp.h \
	qextscintillalexerhtml.h \
	qextscintillalexeridl.h \
	qextscintillalexerjava.h \
	qextscintillalexerjavascript.h \
	qextscintillalexerlua.h \
	qextscintillalexerperl.h \
	qextscintillalexerpython.h \
	qextscintillalexerruby.h \
	qextscintillalexersql.h \
	qextscintillamacro.h \
	qextscintillaprinter.h \
	SciListBox.h \
	ScintillaQt.h \
	../include/Accessor.h \
	../include/KeyWords.h \
	../include/Platform.h \
	../include/PropSet.h \
	../include/SString.h \
	../include/SciLexer.h \
	../include/Scintilla.h \
	../include/ScintillaWidget.h \
	../include/WindowAccessor.h \
	../src/AutoComplete.h \
	../src/CallTip.h \
	../src/CellBuffer.h \
	../src/ContractionState.h \
	../src/Document.h \
	../src/DocumentAccessor.h \
	../src/Editor.h \
	../src/ExternalLexer.h \
	../src/Indicator.h \
	../src/KeyMap.h \
	../src/LineMarker.h \
	../src/RESearch.h \
	../src/SVector.h \
	../src/ScintillaBase.h \
	../src/Style.h \
	../src/StyleContext.h \
	../src/ViewStyle.h \
	../src/XPM.h

SOURCES = \
	qextscintilla.cpp \
	qextscintillaapis.cpp \
	qextscintillabase.cpp \
	qextscintillacommand.cpp \
	qextscintillacommandset.cpp \
	qextscintilladocument.cpp \
	qextscintillalexer.cpp \
	qextscintillalexerbash.cpp \
	qextscintillalexercpp.cpp \
	qextscintillalexercsharp.cpp \
	qextscintillalexerhtml.cpp \
	qextscintillalexeridl.cpp \
	qextscintillalexerjava.cpp \
	qextscintillalexerjavascript.cpp \
	qextscintillalexerlua.cpp \
	qextscintillalexerperl.cpp \
	qextscintillalexerpython.cpp \
	qextscintillalexerruby.cpp \
	qextscintillalexersql.cpp \
	qextscintillamacro.cpp \
	qextscintillaprinter.cpp \
	SciListBox.cpp \
	PlatQt.cpp \
	ScintillaQt.cpp \
	../src/AutoComplete.cpp \
	../src/CallTip.cpp \
	../src/CellBuffer.cpp \
	../src/ContractionState.cpp \
	../src/Document.cpp \
	../src/DocumentAccessor.cpp \
	../src/Editor.cpp \
	../src/ExternalLexer.cpp \
	../src/Indicator.cpp \
        ../src/KeyMap.cpp \
	../src/KeyWords.cpp \
	../src/LexAda.cpp \
	../src/LexAPDL.cpp \
	../src/LexAsm.cpp \
	../src/LexAsn1.cpp \
	../src/LexAU3.cpp \
	../src/LexAVE.cpp \
	../src/LexBaan.cpp \
	../src/LexBash.cpp \
	../src/LexBullant.cpp \
	../src/LexCLW.cpp \
	../src/LexConf.cpp \
	../src/LexCPP.cpp \
	../src/LexCrontab.cpp \
	../src/LexCSS.cpp \
	../src/LexEiffel.cpp \
	../src/LexErlang.cpp \
	../src/LexEScript.cpp \
	../src/LexForth.cpp \
	../src/LexFortran.cpp \
	../src/LexGui4Cli.cpp \
	../src/LexHTML.cpp \
	../src/LexKix.cpp \
	../src/LexLisp.cpp \
	../src/LexLout.cpp \
	../src/LexLua.cpp \
	../src/LexMatlab.cpp \
	../src/LexMetapost.cpp \
	../src/LexMMIXAL.cpp \
	../src/LexMPT.cpp \
	../src/LexMSSQL.cpp \
	../src/LexNsis.cpp \
	../src/LexOthers.cpp \
	../src/LexPascal.cpp \
	../src/LexPB.cpp \
	../src/LexPerl.cpp \
	../src/LexPOV.cpp \
	../src/LexPS.cpp \
	../src/LexPython.cpp \
	../src/LexRuby.cpp \
	../src/LexScriptol.cpp \
	../src/LexSpecman.cpp \
	../src/LexSQL.cpp \
	../src/LexTeX.cpp \
	../src/LexVB.cpp \
	../src/LexVerilog.cpp \
	../src/LexVHDL.cpp \
	../src/LexYAML.cpp \
	../src/LineMarker.cpp \
	../src/PropSet.cpp \
        ../src/RESearch.cpp \
        ../src/ScintillaBase.cpp \
	../src/Style.cpp \
	../src/StyleContext.cpp \
	../src/ViewStyle.cpp \
	../src/WindowAccessor.cpp \
	../src/XPM.cpp

TRANSLATIONS = \
	qscintilla_de.ts \
	qscintilla_fr.ts \
	qscintilla_ru.ts
